package com.simuwang.manage.service;

import com.simuwang.base.common.support.MybatisPage;
import com.simuwang.base.pojo.dto.GetByIdQuery;
import com.simuwang.base.pojo.dto.query.ChannelIdPageQuery;
import com.simuwang.base.pojo.dto.query.ChannelPageQuery;
import com.simuwang.base.pojo.vo.ChannelEmailInfoVO;
import com.simuwang.base.pojo.vo.ChannelInfoVO;
import com.simuwang.base.pojo.vo.ChannelPageInfoVO;
import com.simuwang.base.pojo.vo.ChannelResponsibilityInfoVO;
import com.smppw.common.pojo.ResultVo;

import java.util.List;

public interface ChannelService {
    ResultVo saveChannel(ChannelInfoVO channel);

    ResultVo deleteChannel(List<Integer> id);

    ResultVo saveChannelEmail(List<ChannelEmailInfoVO> channelEmailInfoVOList);

    MybatisPage<ChannelPageInfoVO> searchChannelList(ChannelPageQuery channelPageQuery);

    MybatisPage<ChannelPageInfoVO> searchChannelPage(ChannelPageQuery channelPageQuery);

    ResultVo deleteChannelEmail(Integer id);

    MybatisPage<ChannelEmailInfoVO> searchChannelEmailList(ChannelIdPageQuery channelIdPageQuery);

    boolean existsChannel(String channelId);

    ResultVo saveChannelResponsibility(ChannelResponsibilityInfoVO channelResponsibilityInfoVO);
}
